/*Hello, this is Re 0.001...
	Dialog

 @data:
 G1 G3 44 69 61 6C 6F 67 SC G4 4E 65 77 20 44 69 61 6C 6F 67 SC
 G5 B5 00 1C 00 68 01 0B 01 SC G6 EC 00 01 00 SC G7 G2 00 00 00
 00 SC G3 47 72 6F 75 70 42 6F 78 SC G4 47 72 6F 75 70 2E 2E 2E
 SC G5 19 00 25 00 DB 00 A8 00 SC G6 00 00 00 00 SC G7 G2 06 00
 00 00 SC G3 45 64 69 74 SC G4 SC G5 71 00 1A 00 5E 00 22 00 SC
 G6 00 02 00 00 SC G2 05 00 00 00 SC G3 52 61 64 69 6F 42 75 74
 74 6F 6E SC G4 52 61 64 69 6F SC G5 0C 00 32 00 50 00 19 00 SC
 G6 00 02 00 00 SC G2 05 00 00 00 SC G3 52 61 64 69 6F 42 75 74
 74 6F 6E SC G4 52 61 64 69 6F SC G5 0B 00 54 00 50 00 19 00 SC
 G6 00 00 00 00 SC G2 06 00 00 00 SC G3 45 64 69 74 SC G4 SC G5
 72 00 4C 00 5C 00 52 00 SC G6 00 1C 00 00 SC G0 G2 09 00 00 00
 SC G3 43 6F 6D 62 6F 42 6F 78 SC G4 43 6F 6D 62 6F SC G5 03 01
 8B 00 59 00 58 00 SC G6 00 00 04 00 SC G2 01 00 00 00 SC G3 53
 74 61 74 69 63 54 65 78 74 SC G4 54 65 78 74 2E 2E 2E SC G5 05
 01 29 00 50 00 12 00 SC G6 01 00 00 00 SC G2 02 00 00 00 SC G3
 53 74 61 74 69 63 49 6D 61 67 65 SC G4 49 6D 61 67 65 SC G5 14
 01 4B 00 32 00 32 00 SC G6 00 00 00 00 SC G2 04 00 00 00 SC G3
 43 68 65 63 6B 42 6F 78 SC G4 43 68 65 63 6B SC G5 2D 00 DD 00
 50 00 19 00 SC G6 00 00 00 00 SC G2 03 00 00 00 SC G3 50 75 73
 68 42 75 74 74 6F 6E SC G4 50 75 73 68 SC G5 02 01 DA 00 50 00
 1E 00 SC G6 04 00 00 00 SC G0

*/


/* default class template for: Dialog

class Dialog : public XmUserDialog
{
#ifndef __GNUG__
	bool initWindowSize(int&, int&, int&, int&);
#endif
	void createContents();
	void initContents();	//should be defined by the application
public:
	Dialog(char* name = "New Dialog", XmObject* parent = NULL) : XmUserDialog(name, parent, 0x0L | XmSbordered | XmSmoveable | XmScloseable | XmStitled | XmSsysMenu | XmSdlgWinModal)
	{ }
#ifdef __GNUG__
	gnuOpen()	{ setInitWindowSize(0, 0, 360, 267); Dialog::createContents(); Dialog::initContents(); realize(); }
#endif

	// application functions...
};

*/

#ifndef __GNUG__
bool Dialog::initWindowSize(int&, int&, int& w, int& h)
{
	w = 360;
	h = 267;
	return(TRUE);
}
#endif

void Dialog::createContents()
{
	XmGroupBox* groups[10];
	int groupCount = 0;

	add((groups[++groupCount] = new XmGroupBox("GroupBox", 25, 37, 219, 168, 0x0))->setText("Group..."));
	groups[groupCount]->add((new XmEdit("Edit", 113, 26, 94, 34, 0x0 | XmStabStop)));
	groups[groupCount]->add((new XmRadioButton("RadioButton", 12, 50, 80, 25, 0x0 | XmStabStop))->setText("Radio"));
	groups[groupCount]->add((new XmRadioButton("RadioButton", 11, 84, 80, 25, 0x0))->setText("Radio"));
	groups[groupCount]->add((new XmEdit("Edit", 114, 76, 92, 82, 0x0 | XmSautovscroll | XmSautohscroll | XmSmultiLine))); groupCount--;
	add((new XmComboBox("ComboBox", 259, 139, 89, 88, 0x0 | XmSdropdown)));
	add((new XmStaticText("StaticText", 261, 41, 80, 18, 0x0 | XmSleft))->setText("Text..."));
	add((new XmStaticImage("StaticImage", 276, 75, 50, 50, 0x0)));
	add((new XmCheckBox("CheckBox", 45, 221, 80, 25, 0x0))->setText("Check"));
	add((new XmPushButton("PushButton", 258, 218, 80, 30, 0x0 | XmScenter))->setText("Push"));
}

